﻿@inject UserAppState UserAppState
@implements IDisposable

<MudNavMenu>
    <MudNavLink Href="/" Match="NavLinkMatch.All">Home</MudNavLink>
    @if (UserAppState.IsAuthenticated)
    {
        <!-- <MudNavLink Href="/burn" Match="NavLinkMatch.Prefix">Burn</MudNavLink> -->

        <MudDivider />
        <MudNavLink Href="/account" Match="NavLinkMatch.Prefix">Account</MudNavLink>

        <MudNavLink Href="/inventory" Match="NavLinkMatch.Prefix">Inventory</MudNavLink>
    }

    <br/>

    <MudNavLink Href="/planetsearch" Match="NavLinkMatch.Prefix">Planet Search</MudNavLink>

    @if (UserAppState.IsAuthenticated && UserAppState.IsAdmin)
    {
        <MudDivider />
        <MudNavLink Href="/admin" Match="NavLinkMatch.Prefix">Admin</MudNavLink>
    }

</MudNavMenu>